Subject: bug#53322: 28.0.91; "C-h c" errors out for menu-bar clicks

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Jan 2022 22:15:50 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 19 Jan 2022 20:30:31 +0200
> 
> >       * lisp/help.el (help--analyze-key): Use posn-set-point instead of
> >       mouse-set-point that runs the hook mouse-leave-buffer-hook via
> >       mouse-minibuffer-check.  Using posn-set-point also unnecessitates
> >       extra conditions added in bug#51421.
> >
> > The sad part is that the "unnecessary extra conditions" added in
> > bug#51421 fixed the very problem that your change now reintroduced.
> >
> > Did you test that change with the original recipe which was solved in
> > bug#51421?  Did it work for you back then?
> 
> Naturally, I tested this change with the original recipe from bug#51421.
> And it did work then as well as it's working now.  I don't understand
> where is the problem?

I reported the problem: it's posn-set-point that barfs when the event
is outside of the text area.  The menu-bar menus have some of their
items (the first ones) at coordinates that are outside of the text
area, assuming the tool bar and/or the tab bar are displayed.  So
posn-set-point barfs.